﻿CREATE TABLE [dbo].[MenuFormMap] (
    [Id]     UNIQUEIDENTIFIER NOT NULL,
    [MenuId] UNIQUEIDENTIFIER NOT NULL,
    [FormId] UNIQUEIDENTIFIER NOT NULL,
    CONSTRAINT [PK_MenuFormMap] PRIMARY KEY CLUSTERED ([Id] ASC),
    CONSTRAINT [FK_MenuFormMap_FormId] FOREIGN KEY ([FormId]) REFERENCES [dbo].[Form] ([Id]),
    CONSTRAINT [FK_MenuFormMap_MenuId] FOREIGN KEY ([MenuId]) REFERENCES [dbo].[Menu] ([Id]),
    CONSTRAINT [IX_MenuFormMap] UNIQUE NONCLUSTERED ([FormId] ASC, [MenuId] ASC)
);




GO

GO

GO

GO

GO